POST api/medistreamprogramapi/add?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

None.

Body Parameters

MediStreamProgramViewModel
NameDescriptionTypeAdditional information
medistream_id

globally unique identifier

Required

id

globally unique identifier

None.

local_id

integer

Range: inclusive between 0 and ∞

name

string

Required

active

boolean

Required

duration

integer

None.

Request Formats

application/json, text/json

Sample:
{
  "medistream_id": "79972367-38f0-425c-89be-40892ec72656",
  "id": "3592637e-0b73-454b-b54f-b06f13f03172",
  "local_id": 1,
  "name": "sample string 3",
  "active": true,
  "duration": 1
}

application/xml, text/xml

Sample:
<medistream_program xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <duration>1</duration>
  <id>3592637e-0b73-454b-b54f-b06f13f03172</id>
  <local_id>1</local_id>
  <medistream_id>79972367-38f0-425c-89be-40892ec72656</medistream_id>
  <name>sample string 3</name>
</medistream_program>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'MediStreamProgramViewModel'.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"1883ec6d-28d3-4ce2-bfa5-6d610eb1d6dd"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">1883ec6d-28d3-4ce2-bfa5-6d610eb1d6dd</guid>